summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /media-gfx/exact-image
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'media-gfx/exact-image')
-rw-r--r--media-gfx/exact-image/Manifest1
-rw-r--r--media-gfx/exact-image/exact-image-0.8.1-r1.ebuild105
-rw-r--r--media-gfx/exact-image/files/exact-image-0.7.5-libpng14.patch69
-rw-r--r--media-gfx/exact-image/files/exact-image-0.8.1-libpng15.patch34
-rw-r--r--media-gfx/exact-image/metadata.xml8
5 files changed, 217 insertions, 0 deletions
diff --git a/media-gfx/exact-image/Manifest b/media-gfx/exact-image/Manifest
new file mode 100644
index 00000000000..2009c65dfcd
--- /dev/null
+++ b/media-gfx/exact-image/Manifest
@@ -0,0 +1 @@
+DIST exact-image-0.8.1.tar.bz2 283660 SHA256 926a09c897489705ba42daeb01fc4a3c327a8194dc65431f630d50684390e28b SHA512 0adc51c5a29415e236a963cfdaf8f5527e628e9a645e87d00c69a7185e60639cfcd9b1c2b4c3abe1826c5364f0c5d45a0ebb8923cfed53d041d1d36b2604b565 WHIRLPOOL 58b7d66f52d5b6c2202806cad6ca2ebc8e21035a32698861a575c8246f63f4edacc930defd3fa4f6b8496368d2d9d002f06f6463e4f45abc1c235a0bc68a0352
diff --git a/media-gfx/exact-image/exact-image-0.8.1-r1.ebuild b/media-gfx/exact-image/exact-image-0.8.1-r1.ebuild
new file mode 100644
index 00000000000..c12812e5a8c
--- /dev/null
+++ b/media-gfx/exact-image/exact-image-0.8.1-r1.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+PYTHON_DEPEND="python? 2:2.5"
+
+inherit eutils multilib python toolchain-funcs
+
+DESCRIPTION="A fast, modern and generic image processing library"
+HOMEPAGE="http://www.exactcode.de/site/open_source/exactimage/"
+SRC_URI="http://dl.exactcode.de/oss/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="expat jpeg jpeg2k lua openexr php perl png python ruby swig tiff truetype X"
+
+RDEPEND="x11-libs/agg[truetype]
+ sys-libs/zlib
+ expat? ( dev-libs/expat )
+ jpeg2k? ( media-libs/jasper )
+ jpeg? ( virtual/jpeg )
+ lua? ( dev-lang/lua )
+ openexr? ( media-libs/openexr )
+ php? ( dev-lang/php )
+ perl? ( dev-lang/perl )
+ png? ( >=media-libs/libpng-1.2.43 )
+ ruby? ( dev-lang/ruby )
+ tiff? ( media-libs/tiff )
+ truetype? ( >=media-libs/freetype-2 )
+ X? (
+ x11-libs/libXext
+ x11-libs/libXt
+ x11-libs/libICE
+ x11-libs/libSM
+ )"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig
+ swig? ( dev-lang/swig )"
+
+pkg_setup() {
+ if use python; then
+ python_set_active_version 2
+ fi
+ python_pkg_setup
+}
+
+src_prepare() {
+ epatch \
+ "${FILESDIR}"/${PN}-0.7.5-libpng14.patch \
+ "${FILESDIR}"/${P}-libpng15.patch
+
+ # fix python hardcoded path wrt bug #327171
+ sed -i -e "s:python2.5:python$(python_get_version):" \
+ -e "s:\$(libdir):usr/$(get_libdir):" \
+ "${S}"/api/python/Makefile
+
+ # Respect user CFLAGS/CXXFLAGS.
+ sed -i \
+ -e '/C\(XX\)\?FLAGS =/s/-O2//' \
+ -e "\$aCFLAGS += ${CFLAGS}\nCXXFLAGS += ${CXXFLAGS}" \
+ Makefile || die
+
+ # Show commands. Use qualified CC/CXX.
+ sed -i \
+ -e '/^Q =/d' \
+ -e '/^\t@echo /d' \
+ -e "\$aCC:=$(tc-getCC)\nCXX:=$(tc-getCXX)" \
+ build/bottom.make || die
+
+ # The copied string fits exactly. Use memcpy to reflect that a null
+ # terminator is not needed.
+ sed -i \
+ -e 's/strcpy(\([^,]*\)\(,["a-zA-Z -]*\))/memcpy(\1\2, sizeof(\1))/' \
+ codecs/tga.cc || die
+}
+
+src_configure() {
+ # evas -> enlightenment overlay
+ # bardecode -> protected by custom license
+ # libungif -> not supported anymore
+
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/$(get_libdir) \
+ $(use_with X x11) \
+ $(use_with truetype freetype) \
+ --without-evas \
+ $(use_with jpeg libjpeg) \
+ $(use_with tiff libtiff) \
+ $(use_with png libpng) \
+ --without-libungif \
+ $(use_with jpeg2k jasper) \
+ $(use_with openexr) \
+ $(use_with expat) \
+ --without-lcms \
+ --without-bardecode \
+ $(use_with lua) \
+ $(use_with swig) \
+ $(use_with perl) \
+ $(use_with python) \
+ $(use_with php) \
+ $(use_with ruby) || die
+}
diff --git a/media-gfx/exact-image/files/exact-image-0.7.5-libpng14.patch b/media-gfx/exact-image/files/exact-image-0.7.5-libpng14.patch
new file mode 100644
index 00000000000..f25b9af02da
--- /dev/null
+++ b/media-gfx/exact-image/files/exact-image-0.7.5-libpng14.patch
@@ -0,0 +1,69 @@
+--- codecs/png.cc
++++ codecs/png.cc
+@@ -71,7 +71,7 @@
+ /* Allocate/initialize the memory for image information. REQUIRED. */
+ info_ptr = png_create_info_struct(png_ptr);
+ if (info_ptr == NULL) {
+- png_destroy_read_struct(&png_ptr, png_infopp_NULL, png_infopp_NULL);
++ png_destroy_read_struct(&png_ptr, NULL, NULL);
+ return 0;
+ }
+
+@@ -82,7 +82,7 @@
+
+ if (setjmp(png_jmpbuf(png_ptr))) {
+ /* Free all of the memory associated with the png_ptr and info_ptr */
+- png_destroy_read_struct(&png_ptr, &info_ptr, png_infopp_NULL);
++ png_destroy_read_struct(&png_ptr, &info_ptr, NULL);
+ /* If we get here, we had a problem reading the file */
+ return 0;
+ }
+@@ -99,7 +99,7 @@
+ png_read_info (png_ptr, info_ptr);
+
+ png_get_IHDR (png_ptr, info_ptr, &width, &height, &bit_depth, &color_type,
+- &interlace_type, int_p_NULL, int_p_NULL);
++ &interlace_type, NULL, NULL);
+
+ image.w = width;
+ image.h = height;
+@@ -132,7 +132,7 @@
+ #if 0 // no longer needed
+ /* Expand grayscale images to the full 8 bits from 2, or 4 bits/pixel */
+ if (color_type == PNG_COLOR_TYPE_GRAY && bit_depth > 1 && bit_depth < 8) {
+- png_set_gray_1_2_4_to_8(png_ptr);
++ png_set_expand_gray_1_2_4_to_8(png_ptr);
+ image.bps = 8;
+ }
+ #endif
+@@ -196,11 +196,11 @@
+ for (int pass = 0; pass < number_passes; ++pass)
+ for (unsigned int y = 0; y < height; ++y) {
+ row_pointers[0] = image.getRawData() + y * stride;
+- png_read_rows(png_ptr, row_pointers, png_bytepp_NULL, 1);
++ png_read_rows(png_ptr, row_pointers, NULL, 1);
+ }
+
+ /* clean up after the read, and free any memory allocated - REQUIRED */
+- png_destroy_read_struct(&png_ptr, &info_ptr, png_infopp_NULL);
++ png_destroy_read_struct(&png_ptr, &info_ptr, NULL);
+
+ /* that's it */
+ return true;
+@@ -224,7 +224,7 @@
+ /* Allocate/initialize the memory for image information. REQUIRED. */
+ info_ptr = png_create_info_struct(png_ptr);
+ if (info_ptr == NULL) {
+- png_destroy_write_struct(&png_ptr, png_infopp_NULL);
++ png_destroy_write_struct(&png_ptr, NULL);
+ return false;
+ }
+
+@@ -244,7 +244,6 @@
+ else if (quality > Z_BEST_COMPRESSION) quality = Z_BEST_COMPRESSION;
+ png_set_compression_level(png_ptr, quality);
+
+- png_info_init (info_ptr);
+
+ /* Set up our STL stream output control */
+ png_set_write_fn (png_ptr, stream, &stdstream_write_data, &stdstream_flush_data);
diff --git a/media-gfx/exact-image/files/exact-image-0.8.1-libpng15.patch b/media-gfx/exact-image/files/exact-image-0.8.1-libpng15.patch
new file mode 100644
index 00000000000..44c94726e35
--- /dev/null
+++ b/media-gfx/exact-image/files/exact-image-0.8.1-libpng15.patch
@@ -0,0 +1,34 @@
+--- codecs/png.cc
++++ codecs/png.cc
+@@ -16,6 +16,7 @@
+ */
+
+ #include <stdlib.h>
++#include <zlib.h>
+ #include <png.h>
+
+ #include <iostream>
+@@ -104,7 +105,7 @@
+ image.w = width;
+ image.h = height;
+ image.bps = bit_depth;
+- image.spp = info_ptr->channels;
++ image.spp = png_get_channels(png_ptr, info_ptr);
+
+ png_uint_32 res_x, res_y;
+ res_x = png_get_x_pixels_per_meter(png_ptr, info_ptr);
+@@ -120,10 +121,13 @@
+ // png_set_packswap(png_ptr);
+
+ /* Expand paletted colors into true RGB triplets */
++
++ int num_trans;
++
+ if (color_type == PNG_COLOR_TYPE_PALETTE) {
+ png_set_palette_to_rgb(png_ptr);
+ image.bps = 8;
+- if (info_ptr->num_trans)
++ if (num_trans)
+ image.spp = 4;
+ else
+ image.spp = 3;
diff --git a/media-gfx/exact-image/metadata.xml b/media-gfx/exact-image/metadata.xml
new file mode 100644
index 00000000000..39ad2abec1d
--- /dev/null
+++ b/media-gfx/exact-image/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>graphics</herd>
+<use>
+ <flag name='swig'>Adds Swig support <pkg>dev-lang/swig</pkg></flag>
+</use>
+</pkgmetadata>